Yaf_Route_Map
Yaf_Route_Map::__construct
Yaf_Route_Map
PHP Manual

# Yaf_Route_Map::assemble

Assemble a url

### Description

public string Yaf_Route_Map::assemble ( array `$info` [, array `$query` ] )

Assmeble a url.

### Parameters

`info`

`query`

### Examples

Example #1 Yaf_Route_Map::assembleexample

`<?php
$router = new Yaf_Router();
$route = new Yaf_Route_Map();
$router->addRoute("map", $route);
var_dump($router->getRoute('map')->assemble(
array(
':c' => 'foo_bar'
),
array(
'tkey1' => 'tval1',
'tkey2' => 'tval2'
)
)
);
$route = new Yaf_Route_Map(true, '_');
$router->addRoute("map", $route);
var_dump($router->getRoute('map')->assemble(
array(
':a' => 'foo_bar'
),
array(
'tkey1' => 'tval1',
'tkey2' => 'tval2'
)
)
);`

The above example will output something similar to:

    string(%d) "/foo/bar?tkey1=tval1&tkey2=tval2"
    string(%d) "/foo/bar/_/tkey1/tval1/tkey2/tval2"

### Return Values